Description: Do not show "your version is up-to-date" when this information is wrong (Closes #1001623)
Author: Katharina Drexel <katharina.drexel@bfh.ch>
Last-Update: 2021-12-15
--- a/wp-admin/update-core.php
+++ b/wp-admin/update-core.php
@@ -237,6 +237,12 @@ function dismissed_updates() {
  * @global string $required_mysql_version The required MySQL version string.
  */
 function core_upgrade_preamble() {
+	if (!defined('WP_AUTO_UPDATE_CORE'))
+		define('WP_AUTO_UPDATE_CORE', true);
+
+	if ( false === WP_AUTO_UPDATE_CORE )
+		return array();
+
 	global $required_php_version, $required_mysql_version;
 
 	$updates = get_core_updates();
